spinner.css 1.9 KB

1234567891011121314151617181920212223242526272829303132333435363738394041424344454647484950515253545556575859606162636465666768697071727374757677787980818283848586878889909192939495969798
  1. /* spinner: https://github.com/loadingio/css-spinner */
  2. .lds-spinner {
  3. -moz-user-select: none;
  4. user-select: none;
  5. pointer-events: none;
  6. position: absolute;
  7. top: 0;
  8. left: 0;
  9. right: 0;
  10. width: 200px; /* don't change! use "transform: scale(.75)" */
  11. height: 200px; /* don't change! use "transform: scale(.75)" */
  12. margin: auto;
  13. animation: lds-spinner 1s reverse;
  14. animation-fill-mode: both;
  15. }
  16. @keyframes lds-spinner {
  17. 0% {
  18. opacity: 1;
  19. }
  20. 100% {
  21. opacity: 0;
  22. }
  23. }
  24. .lds-spinner div {
  25. left: 94px;
  26. top: 23px;
  27. position: absolute;
  28. animation: lds-spinner linear 1s infinite;
  29. animation-direction: reverse;
  30. background: currentColor;
  31. width: 12px;
  32. height: 34px;
  33. border-radius: 20%;
  34. transform-origin: 6px 77px;
  35. }
  36. .lds-spinner div:nth-child(1) {
  37. transform: rotate(0deg);
  38. animation-delay: -0.916666666666667s;
  39. }
  40. .lds-spinner div:nth-child(2) {
  41. transform: rotate(30deg);
  42. animation-delay: -0.833333333333333s;
  43. }
  44. .lds-spinner div:nth-child(3) {
  45. transform: rotate(60deg);
  46. animation-delay: -0.75s;
  47. }
  48. .lds-spinner div:nth-child(4) {
  49. transform: rotate(90deg);
  50. animation-delay: -0.666666666666667s;
  51. }
  52. .lds-spinner div:nth-child(5) {
  53. transform: rotate(120deg);
  54. animation-delay: -0.583333333333333s;
  55. }
  56. .lds-spinner div:nth-child(6) {
  57. transform: rotate(150deg);
  58. animation-delay: -0.5s;
  59. }
  60. .lds-spinner div:nth-child(7) {
  61. transform: rotate(180deg);
  62. animation-delay: -0.416666666666667s;
  63. }
  64. .lds-spinner div:nth-child(8) {
  65. transform: rotate(210deg);
  66. animation-delay: -0.333333333333333s;
  67. }
  68. .lds-spinner div:nth-child(9) {
  69. transform: rotate(240deg);
  70. animation-delay: -0.25s;
  71. }
  72. .lds-spinner div:nth-child(10) {
  73. transform: rotate(270deg);
  74. animation-delay: -0.166666666666667s;
  75. }
  76. .lds-spinner div:nth-child(11) {
  77. transform: rotate(300deg);
  78. animation-delay: -0.083333333333333s;
  79. }
  80. .lds-spinner div:nth-child(12) {
  81. transform: rotate(330deg);
  82. animation-delay: 0s;
  83. }